> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# softr

> Softr Database API

**Server path:** `/softr` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                    | Description         |
| ------------------------------------------------------- | ------------------- |
| [`softr_add_table_field`](#softr_add_table_field)       | Add Table Field     |
| [`softr_create_database`](#softr_create_database)       | Create a Database   |
| [`softr_create_record`](#softr_create_record)           | Create Record       |
| [`softr_create_table`](#softr_create_table)             | Create Table        |
| [`softr_delete_database`](#softr_delete_database)       | Delete Database     |
| [`softr_delete_record`](#softr_delete_record)           | Delete Record       |
| [`softr_delete_table`](#softr_delete_table)             | Delete Table        |
| [`softr_delete_table_field`](#softr_delete_table_field) | Delete Table Field  |
| [`softr_get_database_by_id`](#softr_get_database_by_id) | Get Single Database |
| [`softr_get_databases`](#softr_get_databases)           | Get Databases       |
| [`softr_get_record_by_id`](#softr_get_record_by_id)     | Get Single Record   |
| [`softr_get_records`](#softr_get_records)               | Get Records         |
| [`softr_get_table_by_id`](#softr_get_table_by_id)       | Get Single Table    |
| [`softr_get_table_field`](#softr_get_table_field)       | Get Table Field     |
| [`softr_get_table_views`](#softr_get_table_views)       | Get Table Views     |
| [`softr_get_tables`](#softr_get_tables)                 | Get Tables          |
| [`softr_search_records`](#softr_search_records)         | Search Records      |
| [`softr_update_database`](#softr_update_database)       | Update Database     |
| [`softr_update_record`](#softr_update_record)           | Update Record       |
| [`softr_update_table`](#softr_update_table)             | Update Table        |
| [`softr_update_table_field`](#softr_update_table_field) | Update Table Field  |

***

## softr\_add\_table\_field

Add Table Field

**Parameters:**

| Parameter    | Type   | Required | Default | Description       |
| ------------ | ------ | -------- | ------- | ----------------- |
| `databaseId` | string | Yes      | —       | Database Id       |
| `tableId`    | string | Yes      | —       | Table Id          |
| `name`       | string | Yes      | —       | The name value    |
| `options`    | object | No       | —       | The options value |
| `type`       | string | Yes      | —       | The type value    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "options": {
        "type": "object",
        "description": "The options value"
      },
      "type": {
        "type": "string",
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId",
      "name",
      "type"
    ]
  }
  ```
</Expandable>

***

## softr\_create\_database

Create a Database

**Parameters:**

| Parameter     | Type   | Required | Default | Description           |
| ------------- | ------ | -------- | ------- | --------------------- |
| `description` | string | No       | —       | The description value |
| `name`        | string | Yes      | —       | The name value        |
| `workspaceId` | string | Yes      | —       | Workspace Id          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "workspaceId": {
        "type": "string",
        "description": "Workspace Id"
      }
    },
    "required": [
      "PCID",
      "name",
      "workspaceId"
    ]
  }
  ```
</Expandable>

***

## softr\_create\_record

Create Record

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                          |
| ------------ | ------- | -------- | ------- | ------------------------------------------------------------------------------------ |
| `databaseId` | string  | Yes      | —       | Database Id                                                                          |
| `tableId`    | string  | Yes      | —       | Table Id                                                                             |
| `fieldNames` | boolean | No       | —       | If true, use field names as keys in the response fields object instead of field IDs. |
| `fields`     | object  | No       | —       | A map of Field IDs to their values.                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "fieldNames": {
        "type": "boolean",
        "description": "If true, use field names as keys in the response fields object instead of field IDs."
      },
      "fields": {
        "type": "object",
        "description": "A map of Field IDs to their values."
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId"
    ]
  }
  ```
</Expandable>

***

## softr\_create\_table

Create Table

**Parameters:**

| Parameter          | Type      | Required | Default | Description           |
| ------------------ | --------- | -------- | ------- | --------------------- |
| `databaseId`       | string    | Yes      | —       | Database Id           |
| `description`      | string    | No       | —       | The description value |
| `fields`           | object\[] | No       | —       | The fields value      |
| `name`             | string    | No       | —       | The name value        |
| `primaryFieldName` | string    | No       | —       | Primary Field Name    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "type": {
              "type": "string",
              "description": "The type value"
            },
            "options": {
              "type": "object",
              "description": "The options value"
            }
          }
        },
        "description": "The fields value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "primaryFieldName": {
        "type": "string",
        "description": "Primary Field Name"
      }
    },
    "required": [
      "PCID",
      "databaseId"
    ]
  }
  ```
</Expandable>

***

## softr\_delete\_database

Delete Database

**Parameters:**

| Parameter    | Type    | Required | Default | Description     |
| ------------ | ------- | -------- | ------- | --------------- |
| `databaseId` | string  | Yes      | —       | Database Id     |
| `force`      | boolean | No       | —       | The force value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "force": {
        "type": "boolean",
        "description": "The force value"
      }
    },
    "required": [
      "PCID",
      "databaseId"
    ]
  }
  ```
</Expandable>

***

## softr\_delete\_record

Delete Record

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `databaseId` | string | Yes      | —       | Database Id |
| `tableId`    | string | Yes      | —       | Table Id    |
| `recordId`   | string | Yes      | —       | Record Id   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "recordId": {
        "type": "string",
        "description": "Record Id"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId",
      "recordId"
    ]
  }
  ```
</Expandable>

***

## softr\_delete\_table

Delete Table

**Parameters:**

| Parameter    | Type    | Required | Default | Description     |
| ------------ | ------- | -------- | ------- | --------------- |
| `databaseId` | string  | Yes      | —       | Database Id     |
| `tableId`    | string  | Yes      | —       | Table Id        |
| `force`      | boolean | No       | —       | The force value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "force": {
        "type": "boolean",
        "description": "The force value"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId"
    ]
  }
  ```
</Expandable>

***

## softr\_delete\_table\_field

Delete Table Field

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `databaseId` | string | Yes      | —       | Database Id |
| `tableId`    | string | Yes      | —       | Table Id    |
| `fieldId`    | string | Yes      | —       | Field Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "fieldId": {
        "type": "string",
        "description": "Field Id"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId",
      "fieldId"
    ]
  }
  ```
</Expandable>

***

## softr\_get\_database\_by\_id

Get Single Database

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `databaseId` | string | Yes      | —       | Database Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      }
    },
    "required": [
      "PCID",
      "databaseId"
    ]
  }
  ```
</Expandable>

***

## softr\_get\_databases

Get Databases

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## softr\_get\_record\_by\_id

Get Single Record

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                 |
| ------------ | ------- | -------- | ------- | --------------------------------------------------------------------------- |
| `databaseId` | string  | Yes      | —       | Database Id                                                                 |
| `tableId`    | string  | Yes      | —       | Table Id                                                                    |
| `recordId`   | string  | Yes      | —       | Record Id                                                                   |
| `fieldNames` | boolean | No       | —       | If true, use field names as keys in the fields object instead of field IDs. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "recordId": {
        "type": "string",
        "description": "Record Id"
      },
      "fieldNames": {
        "type": "boolean",
        "description": "If true, use field names as keys in the fields object instead of field IDs."
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId",
      "recordId"
    ]
  }
  ```
</Expandable>

***

## softr\_get\_records

Get Records

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                 |
| ------------ | ------- | -------- | ------- | --------------------------------------------------------------------------- |
| `databaseId` | string  | Yes      | —       | Database Id                                                                 |
| `tableId`    | string  | Yes      | —       | Table Id                                                                    |
| `offset`     | integer | No       | —       | The offset value                                                            |
| `limit`      | integer | No       | —       | Maximum number of results to return                                         |
| `fieldNames` | boolean | No       | —       | If true, use field names as keys in the fields object instead of field IDs. |
| `viewId`     | string  | No       | —       | Filter records by a specific view.                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "fieldNames": {
        "type": "boolean",
        "description": "If true, use field names as keys in the fields object instead of field IDs."
      },
      "viewId": {
        "type": "string",
        "description": "Filter records by a specific view."
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId"
    ]
  }
  ```
</Expandable>

***

## softr\_get\_table\_by\_id

Get Single Table

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `databaseId` | string | Yes      | —       | Database Id |
| `tableId`    | string | Yes      | —       | Table Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId"
    ]
  }
  ```
</Expandable>

***

## softr\_get\_table\_field

Get Table Field

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `databaseId` | string | Yes      | —       | Database Id |
| `tableId`    | string | Yes      | —       | Table Id    |
| `fieldId`    | string | Yes      | —       | Field Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "fieldId": {
        "type": "string",
        "description": "Field Id"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId",
      "fieldId"
    ]
  }
  ```
</Expandable>

***

## softr\_get\_table\_views

Get Table Views

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `databaseId` | string | Yes      | —       | Database Id |
| `tableId`    | string | Yes      | —       | Table Id    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId"
    ]
  }
  ```
</Expandable>

***

## softr\_get\_tables

Get Tables

**Parameters:**

| Parameter    | Type   | Required | Default | Description |
| ------------ | ------ | -------- | ------- | ----------- |
| `databaseId` | string | Yes      | —       | Database Id |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      }
    },
    "required": [
      "PCID",
      "databaseId"
    ]
  }
  ```
</Expandable>

***

## softr\_search\_records

Search Records

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                 |
| ------------ | --------- | -------- | ------- | --------------------------------------------------------------------------- |
| `databaseId` | string    | Yes      | —       | Database Id                                                                 |
| `tableId`    | string    | Yes      | —       | Table Id                                                                    |
| `fieldNames` | boolean   | No       | —       | If true, use field names as keys in the fields object instead of field IDs. |
| `filter`     | object    | No       | —       | The filter value                                                            |
| `paging`     | object    | No       | —       | The paging value                                                            |
| `sort`       | object\[] | No       | —       | Sort order for results                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "fieldNames": {
        "type": "boolean",
        "description": "If true, use field names as keys in the fields object instead of field IDs."
      },
      "filter": {
        "type": "object",
        "description": "The filter value",
        "properties": {
          "condition": {
            "type": "object",
            "description": "A condition for filtering records. Text-related conditions are case-insensitive."
          }
        }
      },
      "paging": {
        "type": "object",
        "description": "The paging value",
        "properties": {
          "offset": {
            "type": "integer",
            "description": "The offset value"
          },
          "limit": {
            "type": "integer",
            "description": "Maximum number of results to return"
          }
        }
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "sortingField": {
              "type": "string",
              "description": "The Field ID to apply the sorting on"
            },
            "sortType": {
              "type": "string",
              "enum": [
                "ASC",
                "DESC"
              ],
              "description": "Sort Type"
            }
          }
        },
        "description": "Sort order for results"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId"
    ]
  }
  ```
</Expandable>

***

## softr\_update\_database

Update Database

**Parameters:**

| Parameter     | Type   | Required | Default | Description           |
| ------------- | ------ | -------- | ------- | --------------------- |
| `databaseId`  | string | Yes      | —       | Database Id           |
| `description` | string | No       | —       | The description value |
| `name`        | string | No       | —       | The name value        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      }
    },
    "required": [
      "PCID",
      "databaseId"
    ]
  }
  ```
</Expandable>

***

## softr\_update\_record

Update Record

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                          |
| ------------ | ------- | -------- | ------- | ------------------------------------------------------------------------------------ |
| `databaseId` | string  | Yes      | —       | Database Id                                                                          |
| `tableId`    | string  | Yes      | —       | Table Id                                                                             |
| `recordId`   | string  | Yes      | —       | Record Id                                                                            |
| `fieldNames` | boolean | No       | —       | If true, use field names as keys in the response fields object instead of field IDs. |
| `fields`     | object  | No       | —       | A map of Field IDs to their new values.                                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "recordId": {
        "type": "string",
        "description": "Record Id"
      },
      "fieldNames": {
        "type": "boolean",
        "description": "If true, use field names as keys in the response fields object instead of field IDs."
      },
      "fields": {
        "type": "object",
        "description": "A map of Field IDs to their new values."
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId",
      "recordId"
    ]
  }
  ```
</Expandable>

***

## softr\_update\_table

Update Table

**Parameters:**

| Parameter     | Type   | Required | Default | Description           |
| ------------- | ------ | -------- | ------- | --------------------- |
| `databaseId`  | string | Yes      | —       | Database Id           |
| `tableId`     | string | Yes      | —       | Table Id              |
| `description` | string | No       | —       | The description value |
| `name`        | string | No       | —       | The name value        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "description": {
        "type": "string",
        "description": "The description value"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId"
    ]
  }
  ```
</Expandable>

***

## softr\_update\_table\_field

Update Table Field

**Parameters:**

| Parameter    | Type   | Required | Default | Description       |
| ------------ | ------ | -------- | ------- | ----------------- |
| `databaseId` | string | Yes      | —       | Database Id       |
| `tableId`    | string | Yes      | —       | Table Id          |
| `fieldId`    | string | Yes      | —       | Field Id          |
| `name`       | string | No       | —       | The name value    |
| `options`    | object | No       | —       | The options value |
| `type`       | string | No       | —       | The type value    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "databaseId": {
        "type": "string",
        "description": "Database Id"
      },
      "tableId": {
        "type": "string",
        "description": "Table Id"
      },
      "fieldId": {
        "type": "string",
        "description": "Field Id"
      },
      "name": {
        "type": "string",
        "description": "The name value"
      },
      "options": {
        "type": "object",
        "description": "The options value"
      },
      "type": {
        "type": "string",
        "description": "The type value"
      }
    },
    "required": [
      "PCID",
      "databaseId",
      "tableId",
      "fieldId"
    ]
  }
  ```
</Expandable>
